Subject: Re: bug#37831: GDM has a GNOME entry even when not installed

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 14 Feb 2020 14:14:25 -0500

Pierre Neidhardt <[email-masked]> writes:

> My config.scm installs EXWM + StumpWM, but not GNOME.
> Before the last core-update, GDM would only suggest the 2 window
> managers.
>
> After a recent Guix pull followed by a `guix system reconfigure', GDM
> also suggests GNOME.  If I select it, it fails to log in, which I
> suppose is expected since it's not installed.
>
> I believe the GNOME entry in GDM should only appear if GNOME is installed.

I can confirm the issue, attempting to use GDM + ratpoison (without
GNOME installed).

Maxim